package de.hottis.measurementDatabaseEngine;

import java.io.FileInputStream;
import java.util.Properties;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import de.hottis.common.JmsTopic;
import de.hottis.smarthomelib.ADataObject;


public class MeasurementDatabaseEngine {
	static final String PROPS_FILENAME = "measurementDataEngine.props";
	static final Logger logger = LogManager.getRootLogger();
	
	
	public static void main(String[] args) throws Exception {
		logger.info("MeasurementDatabaseEngine starting");
		
		final Properties config = new Properties();
		try (FileInputStream propsFileInputStream = new FileInputStream(PROPS_FILENAME)) {
			config.load(propsFileInputStream);
		}
		logger.debug("Configuration loaded");
		
		JmsTopic<ADataObject> queue = new JmsTopic<ADataObject>(config, JmsTopic.Mode.CONSUMER); 
		queue.init();
		
		DatabaseEngine databaseEngine = new DatabaseEngine(config, queue);
		databaseEngine.init();
		databaseEngine.start();
		logger.debug("DatabaseEngine started");
	}
		
}
